CHOWN(8)

NAME
chown - change file owner and group

SYNOPSIS
chown [-h] [ -R [-H | -L | -P]] owner[:group] file ...
chown [-h] [ -R [-H | -L | -P]] :group file ...

DESCRIPTION
chown sets the user ID and/or the group ID of the specified files.

The options are as follows:

-H  If the -R option is specified, symbolic links on the command line are followed. Symbolic links encountered in the tree traversal are not followed.

-h  Change the user ID and/or the group ID on symbolic links. The -R and -h options are mutually exclusive.

-L  If the -R option is specified, all symbolic links are followed.

-P  If the -R option is specified, no symbolic links are followed.

-R  Recurse. Where file is a directory, change the user ID and/or the group ID of the directory and all the files and directories in the file hierarchy below it.

The -H, -L, and -P options are ignored unless the -R option is specified; if none of them are given, the default is to not follow symbolic links. In addition, these options override each other and the command's actions are determined by the last one specified.

The owner and group operands are both optional; however, one must be specified. If the group operand is specified, it must be preceded by a colon (‘’): character.

The owner may be either a numeric user ID or a user name. If a user name is also a numeric user ID, the operand is used as a user name. The group may be either a numeric group ID or a group name. If a group name is also a numeric group ID, the operand is used as a group name.

By default, chown clears the set-user-ID and set-group-ID bits on the file to prevent accidental or mischievous creation of set-user-ID and set-group-ID programs. This behaviour can be overridden by setting the sysctl(8) variable fs.posix.setuid to zero.

Only the superuser is permitted to change the owner of a file.

EXIT STATUS

SEE ALSO
chgrp(1), find(1), chown(2), fts(3), symlink(7)

STANDARDS
The chown utility is compliant with the p1003.1-2008 specification.

The ability to specify group without owner is an extension to that specification.

Some non-BSD systems may allow the (non-privileged) owner of a file to change its ownership.

Previous versions of the chown utility used the dot (‘’). character to distinguish the group name. This has been changed to be a colon (‘’): character so that user and group names may contain the dot character.